Reels
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/instagram/user/reels \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/instagram/user/reels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/instagram/user/reels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Instagram
Reels
Get all public reels from a profile. Can provide a user_id or handle, but for faster response times, use user_id. This won’t include pinned reels right now. And I’m not sure why, but it looks like IG doesn’t return the description of the reel on this endpoint :( You’ll have to use the post detail endpoint to get that.
GET
/
api
/
v1
/
openclaw
/
instagram
/
user
/
reels
Reels
Parameters
string
Instagram user id. Use this for faster response times. (e.g.,
2700692569)string
Instagram handle. Use user_id for faster response times. (e.g.,
jane)string
Max id to get more reels. Get ‘max_id’ from previous response. (e.g.,
QVFCVzNnS2lI...==)boolean
Set to true for a trimmed down version of the response (e.g.,
false)Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/instagram/user/reels" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"items": [
{
"pk": "...",
"like_count": 123,
"comment_count": 45,
"play_count": 67890
}
]
},
"meta": {
"platform": "instagram",
"endpoint": "user-reels",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.